update threshold

View as Markdown
### PUT /api/v1/{account_id}/projects/{project_id}/dimension-thresholds/{dimension_id} Updates block/challenge score thresholds for a single dimension, identified by `dimension_id`. #### Request - `base_url` (string): The base URL of the API. - `account_id` (string): The unique identifier of the account. - `project_id` (string): The unique identifier of the project. - `dimension_id` (string): The unique identifier of the dimension to update. #### Request Body - `name` (string): The dimension name. - `blockThreshold` (number): Score threshold for block decision. - `challengeThreshold` (number): Score threshold for challenge decision. #### Response The response for this request is a JSON object with the following schema: ``` json {} ```

Authentication

X-Api-Keystring

Project API token. Generate it in your BotBye account and send it in the X-Api-Key request header.

Path parameters

account_idstringRequired
project_idstringRequired
dimension_idstringRequired

Request

This endpoint expects an object.
namestringRequired
blockThresholddoubleRequired
challengeThresholddoubleRequired